Class | Tk::Tcllib::Widget::ScrolledWindow
In: | tk/lib/tkextlib/tcllib/scrollwin.rb
Parent: | TkWindow

### Methods

get_frame package_name package_version set_widget

### Constants

PACKAGE_NAME | = | 'widget::scrolledwindow'.freeze
TkCommandNames | = | ['::widget::scrolledwindow'.freeze].freeze

### Public Class methods

package_name()

[Source]

    # File tk/lib/tkextlib/tcllib/scrollwin.rb, line 19
          def self.package_name
            PACKAGE_NAME
          end

package_version()

[Source]

    # File tk/lib/tkextlib/tcllib/scrollwin.rb, line 23
          def self.package_version
            begin
              TkPackage.require('widget::scrolledwindow')
            rescue
              ''
            end
          end

### Public Instance methods

get_frame()

[Source]

    # File tk/lib/tkextlib/tcllib/scrollwin.rb, line 53
      def get_frame
        window(tk_send('getframe'))
      end

set_widget(widget)

[Source]

    # File tk/lib/tkextlib/tcllib/scrollwin.rb, line 57
      def set_widget(widget)
        tk_send('setwidget', widget)
        self
      end

[Validate]